Bug 1182633 - USB DAC does not work following OS upgrade (freq mismatch)
USB DAC does not work following OS upgrade (freq mismatch)
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.2
x86-64 openSUSE Leap 15.2
: P5 - None : Normal with 5 votes (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-23 21:03 UTC by Rob L
Modified: 2021-04-24 17:08 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo? (faorg-lists)


Attachments
system log (1.77 KB, text/plain)
2021-02-23 21:05 UTC, Rob L
Details
lsusb -v output (4.98 KB, text/plain)
2021-02-24 16:54 UTC, Rob L
Details
alsa-info (48.66 KB, text/plain)
2021-02-24 16:55 UTC, Rob L
Details
5.10.12 snd_usb_audio.dyndbg=+p (1.53 KB, text/plain)
2021-02-24 19:00 UTC, Rob L
Details
5.3.18 snd_usb_audio.dyndbg=+p (4.74 KB, text/plain)
2021-02-24 19:01 UTC, Rob L
Details
5.3.18 asound stream (349 bytes, text/plain)
2021-02-25 08:58 UTC, Rob L
Details
5.10.12 asound stream (441 bytes, text/plain)
2021-02-25 08:59 UTC, Rob L
Details
5.3.18-lp152.57 dmesg (568 bytes, text/plain)
2021-02-25 09:41 UTC, Rob L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob L 2021-02-23 21:03:15 UTC
User-Agent:       Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0
Build Identifier: 

Having updated from Leap 15.1, my USB DAC has stopped working.

Reproducible: Always

Steps to Reproduce:
1. plug in the DAC
2.
3.
Actual Results:  
Device not available in Pulse or Alsa.  Kernel errors in syslog.

Expected Results:  
Device should be available for audio playback.

Still works in Tumbleweed.

Feb 21 10:19:07 ada kernel: usb 1-1: 1:1: freq mismatch (RO clock): req 44100, clock runs @48000
More syslog output attached.

see initial request in forums:
https://forums.opensuse.org/showthread.php/550372-USB-DAC-no-longer-working
Comment 1 Rob L 2021-02-23 21:05:28 UTC
Created attachment 846423 [details]
system log
Comment 2 Takashi Iwai 2021-02-24 07:41:34 UTC
Could you give the lsusb -v output of the device?  Also run alsa-info.sh with --no-upload option and attach the output to Bugzilla, too.

Do I understand correctly that the device did work with the old openSUSE Leap 15.2 kernel (likely *.57)?  If you have a working kernel, please boot it with snd_usb_audio.dyndbg=+p boot option, plug the device, and get the dmesg output.  Do the same for the latest non-working kernel as well, and attach both outputs, too.
Comment 3 Rob L 2021-02-24 16:54:34 UTC
Created attachment 846466 [details]
lsusb -v output
Comment 4 Rob L 2021-02-24 16:55:40 UTC
Created attachment 846467 [details]
alsa-info
Comment 5 Rob L 2021-02-24 17:15:42 UTC
The device did work with all kernel version on Leap 15.1 that I tried including that at EOL.  It also works with 5.10.12 on Tumbleweed now.  I will get the snd_usb_audio.dyndbg output from 5.10.12 shortly.
Comment 6 Takashi Iwai 2021-02-24 17:45:21 UTC
OK, thanks.  If 5.10.* works, it's likely that Leap 15.2 5.3.18*.57 kernel works.  The recent refactoring and fixes of USB-audio (that is included in 5.11 and 5.12) are merged to Leap 15.2 5.3.18*.60 and 63 kernels.  So I guess you'll hit the same problem with TW 5.11 kernel as well.
Comment 7 Rob L 2021-02-24 19:00:38 UTC
Created attachment 846477 [details]
5.10.12 snd_usb_audio.dyndbg=+p
Comment 8 Rob L 2021-02-24 19:01:50 UTC
Created attachment 846478 [details]
5.3.18 snd_usb_audio.dyndbg=+p
Comment 9 Rob L 2021-02-24 19:24:08 UTC
I can confirm 5.3.18-lp152.60-default also does not work.  It is the oldest I have installed on 15.2.
Comment 10 Takashi Iwai 2021-02-25 08:09:54 UTC
One more favor: could you give the contents of /proc/asound/card1/stream* file from both working and non-working cases?
Comment 11 Takashi Iwai 2021-02-25 08:25:28 UTC
And I'm building a test Leap 15.2 kernel with the possible fix.  It's being built in OBS home:tiwai:bsc1182633 repo.
Usually it'll take an hour so until the build finishes.  The package will appear at
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1182633/standard/
Please give it a try later.
Comment 12 Rob L 2021-02-25 08:58:20 UTC
Created attachment 846498 [details]
5.3.18 asound stream
Comment 13 Rob L 2021-02-25 08:59:01 UTC
Created attachment 846499 [details]
5.10.12 asound stream
Comment 14 Rob L 2021-02-25 09:17:09 UTC
Thanks, I will try the kernel later.
Comment 15 Rob L 2021-02-25 09:41:33 UTC
Created attachment 846502 [details]
5.3.18-lp152.57 dmesg

Actually, I have a machine that still has the 5.3.18-lp152.57 kernel.  It does not work, but in a different (less verbose) way.
Comment 16 Rob L 2021-02-25 22:59:34 UTC
I installed the kernel from OBS, but there was a shim error on reboot and it was deleted.  Do I have to disable Secure Boot to test it?
Comment 17 Takashi Iwai 2021-02-26 07:40:47 UTC
Yes, please try without Secure Boot.  It's signed with an unofficial key.
Comment 18 Rob L 2021-04-24 17:08:07 UTC
It now works in 5.3.18-lp152.72-default